Index: common/blfs-tool-deps/903-tidy
===================================================================
--- common/blfs-tool-deps/903-tidy	(revision b9c7e542aad0af4c0521cbf2083266fc27796083)
+++ common/blfs-tool-deps/903-tidy	(revision b9c7e542aad0af4c0521cbf2083266fc27796083)
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# $Id$
+
+set -e
+
+patch -Np1 -i ../tidy-051026-prevent_PRE_newlines-1.patch
+sh build/gnuauto/setup.sh
+./configure --prefix=/usr
+make
+make install
+cd htmldoc
+tidy -xml-help > tidy-help.xml
+tidy -xml-config > tidy-config.xml
+xsltproc -o tidy.1 tidy1.xsl tidy-help.xml
+xsltproc -o quickref.html quickref-html.xsl tidy-config.xml
+cd ..
+install -v -m644 htmldoc/tidy.1 /usr/share/man/man1
+install -v -m755 -d /usr/share/doc/tidy-051026
+install -v -m644 htmldoc/quickref.html /usr/share/doc/tidy-051026
+
+exit
Index: common/blfs-tool-deps/904-unzip
===================================================================
--- common/blfs-tool-deps/904-unzip	(revision b9c7e542aad0af4c0521cbf2083266fc27796083)
+++ common/blfs-tool-deps/904-unzip	(revision b9c7e542aad0af4c0521cbf2083266fc27796083)
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+# $Id$
+
+set -e
+
+make -f unix/Makefile LOCAL_UNZIP=-D_FILE_OFFSET_BITS=64 linux
+make prefix=/usr install
+
+exit
Index: common/blfs-tool-deps/905-docbook-xml
===================================================================
--- common/blfs-tool-deps/905-docbook-xml	(revision b9c7e542aad0af4c0521cbf2083266fc27796083)
+++ common/blfs-tool-deps/905-docbook-xml	(revision b9c7e542aad0af4c0521cbf2083266fc27796083)
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# $Id$
+
+set -e
+
+cd /sources
+mkdir docbook-xml
+cd docbook-xml
+unzip ../docbook-xml-4.4.zip
+install -v -d -m755 /usr/share/xml/docbook/xml-dtd-4.4
+install -v -d -m755 /etc/xml
+chown -R root:root .
+cp -v -af docbook.cat *.dtd ent/ *.mod \
+    /usr/share/xml/docbook/xml-dtd-4.4
+if [ ! -e /etc/xml/docbook ]; then
+    xmlcatalog --noout --create /etc/xml/docbook
+fi
+xmlcatalog --noout --add "public" \
+    "-//OASIS//DTD DocBook XML V4.4//EN" \
+    "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" \
+    /etc/xml/docbook
+xmlcatalog --noout --add "public" \
+    "-//OASIS//DTD DocBook XML CALS Table Model V4.4//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.4/calstblx.dtd" \
+    /etc/xml/docbook
+xmlcatalog --noout --add "public" \
+    "-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.4/soextblx.dtd" \
+    /etc/xml/docbook
+xmlcatalog --noout --add "public" \
+    "-//OASIS//ELEMENTS DocBook XML Information Pool V4.4//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.4/dbpoolx.mod" \
+    /etc/xml/docbook
+xmlcatalog --noout --add "public" \
+    "-//OASIS//ELEMENTS DocBook XML Document Hierarchy V4.4//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.4/dbhierx.mod" \
+    /etc/xml/docbook
+xmlcatalog --noout --add "public" \
+    "-//OASIS//ELEMENTS DocBook XML HTML Tables V4.4//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.4/htmltblx.mod" \
+    /etc/xml/docbook
+xmlcatalog --noout --add "public" \
+    "-//OASIS//ENTITIES DocBook XML Notations V4.4//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.4/dbnotnx.mod" \
+    /etc/xml/docbook
+xmlcatalog --noout --add "public" \
+    "-//OASIS//ENTITIES DocBook XML Character Entities V4.4//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.4/dbcentx.mod" \
+    /etc/xml/docbook
+xmlcatalog --noout --add "public" \
+    "-//OASIS//ENTITIES DocBook XML Additional General Entities V4.4//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.4/dbgenent.mod" \
+    /etc/xml/docbook
+xmlcatalog --noout --add "rewriteSystem" \
+    "http://www.oasis-open.org/docbook/xml/4.4" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.4" \
+    /etc/xml/docbook
+xmlcatalog --noout --add "rewriteURI" \
+    "http://www.oasis-open.org/docbook/xml/4.4" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.4" \
+    /etc/xml/docbook
+if [ ! -e /etc/xml/catalog ]; then
+    xmlcatalog --noout --create /etc/xml/catalog
+fi
+xmlcatalog --noout --add "delegatePublic" \
+    "-//OASIS//ENTITIES DocBook XML" \
+    "file:///etc/xml/docbook" \
+    /etc/xml/catalog
+xmlcatalog --noout --add "delegatePublic" \
+    "-//OASIS//DTD DocBook XML" \
+    "file:///etc/xml/docbook" \
+    /etc/xml/catalog
+xmlcatalog --noout --add "delegateSystem" \
+    "http://www.oasis-open.org/docbook/" \
+    "file:///etc/xml/docbook" \
+    /etc/xml/catalog
+xmlcatalog --noout --add "delegateURI" \
+    "http://www.oasis-open.org/docbook/" \
+    "file:///etc/xml/docbook" \
+    /etc/xml/catalog
+for DTDVERSION in 4.1.2 4.2 4.3
+do
+  xmlcatalog --noout --add "public" \
+    "-//OASIS//DTD DocBook XML V$DTDVERSION//EN" \
+    "http://www.oasis-open.org/docbook/xml/$DTDVERSION/docbookx.dtd" \
+    /etc/xml/docbook
+  xmlcatalog --noout --add "rewriteSystem" \
+    "http://www.oasis-open.org/docbook/xml/$DTDVERSION" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.4" \
+    /etc/xml/docbook
+  xmlcatalog --noout --add "rewriteURI" \
+    "http://www.oasis-open.org/docbook/xml/$DTDVERSION" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.4" \
+    /etc/xml/docbook
+  xmlcatalog --noout --add "delegateSystem" \
+    "http://www.oasis-open.org/docbook/xml/$DTDVERSION/" \
+    "file:///etc/xml/docbook" \
+    /etc/xml/catalog
+  xmlcatalog --noout --add "delegateURI" \
+    "http://www.oasis-open.org/docbook/xml/$DTDVERSION/" \
+    "file:///etc/xml/docbook" \
+    /etc/xml/catalog
+done
+cd ..
+rm -rf docbook-xml
+
+exit
